3384
Customers have installed this add-on in at least 384 active instances.

Markdown Macro for Confluence

by Atlassian Labs for Confluence Server 4.0 - 5.8.10
Unsupported
This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

Ask a question

Data Center
This add-on is compatible with the clustering and high-availability capabilities of our products.
    Get it nowFree add-on

    Adds quick and simple support for Markdown in Confluence

    Macro

    Preview

    Extended syntax

    Because it is a macro, your original markdown is never lost, and change history is tracked.

    Editing the macro allows you to see a preview without saving the page.

    Support for extended Markdown syntax.

    User reviews

    (3)
    Sign in to write a review »
    by Andrew Bell on 2015-08-05
    Doesn't have basic markdown support (nested headings, strikethrough, etc...) Should at least pass the simple wikipedia example! https://en.wikipedia.org/wiki/Markdown
    Was this review helpful?YesNo

    Vendor response

    Not sure what went wrong for you but I tested it and it works fine: http://cl.ly/image/322c1m0U0B3Z

    The only thing that doesn't work is strikethrough which is expected. This is because strikethrough is not part of the original Markdown spec, nor the CommonMark spec: http://spec.commonmark.org/0.21/, nor the IETF draft Markdown spec: https://tools.ietf.org/html/draft-ietf-appsawg-text-markdown-08

    by Rick Qiu on 2015-07-22
    Why it's 'Unsupported'? I'd like to use it but our IT only allow 'Supported' macros.
    Was this review helpful?YesNo

    Vendor response

    I wrote this during a hackathon we had and don't have dedicated time to work on this. I try and fix any issues reported via Bitbucket when I can.

    More details

    Added support for Datacenter.

    Written by: Boris Berenberg

    Free add-on FAQ

    Good news! This add-on is free.

    Support

    Markdown Macro for Confluence isn't formally supported.

    Release notes

    Version 1.1 Confluence Server 4.0 - 5.8.10 Released 2015-01-13

    Summary

    Datacenter support

    Details

    This version adds support for Confluence Datacenter

    Installation

    1. Log into your Confluence instance as an admin.
    2. Click the admin dropdown and choose Add-ons. The Manage add-ons screen loads.
    3. Click Find new add-ons from the left-hand side of the page.
    4. Locate Markdown Macro for Confluence via search. Results include add-on versions compatible with your Confluence instance.
    5. Click Install to download and install your add-on.
    6. You're all set! Click Close in the Installed and ready to go dialog.

    To find older Markdown Macro for Confluence versions compatible with your instance, you can look through our version history page.

    Similar add-ons